/* CSS Document */

body {
	position: absolute;
	width: 100%;
	min-height: 100%;
	margin: 0;
	padding: 0;
	text-align: center;
	background-color: #FAFFEE;
	font-family:"微软雅黑", "宋体", "Source Sans Pro";
}

.site-logo {
	margin-top: 3.8rem;
	text-align: center;
}

.site-logo img {
	width: 300px;
	height: 100px;
}

.site-title {
	display: none;
	font-size: 14px;
	color: #aaa;
	text-align: center;
}


/* search */
.nav {
	height: 2rem;
	padding: 0.5rem;
	text-align: center;
}

.search {
	text-align: center;
	display: flex;
	flex: 1;
	border: 2px solid #86af49;
	border-radius: 16px;
}

.nav-search {
	max-width: 500px;
	text-align: center;
	margin: 0 auto;
}

.search-input {
	flex: 6;
	margin: 1px;
	padding: 3px 6px;
	border: none;
	border-radius: 12px 0 0 12px;
}

.search-input:focus {
	outline: none;
}


.search-btn {
	border: none;
	background-color: #86af49;
	margin: 0;
	padding: 0;
	border-radius: 0 10px 10px 0;
	flex: 1;
	text-align: center;
	cursor: pointer;
}

.search-btn:hover {
	background-color: #79a33c;
}

/* random list */
.random-list {
	display: inline-block;
	margin-top: 2rem;
	padding-bottom: 1rem;
	text-align: center;
	width: 320px;
}

.random-list-item {
	display: inline-block;
	margin: 3px;
	padding: 5px 8px;
	text-decoration: none;
	font-size: 14px;
	color: #808080;
	background-color: #ddd;
}

.random-list-item:hover {
	color: black;
	box-shadow: 1px 1px 3px #888;
}

.update-btn {
	padding: 6px 12px;
	border-radius: 16px;
	border: none;
	color: white;
	background-color: #86af49;
	outline: none;
	border: none;
}

.update-btn:hover {
	box-shadow: 1px 1px 3px #888;
}

.update-btn:focus {
	outline: none;
	border: none;
}

/* footer */
footer {
	position: absolute;
	bottom: 0;
	right: 0;
	left: 0;
	text-align: center;
}

.site-info p {
	margin: 3px;
	font-size: 10px;
	color: #939393;
}

.site-cert {
	margin-bottom: 0;
	text-align: center;
}

.site-cert span {
	display: inline-block;
	margin: 0 5px;
	font-size: 10px;
	text-decoration: none;
	color: #939393;
	vertical-align: top;
}

.site-cert span img {
	width: 16px;
	height: 16px;
	vertical-align: text-bottom;
}